Upgrade from wicket 1.3 to wicket 1.4.14

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrade from wicket 1.3 to wicket 1.4.14

rajeev_yadav
I am trying to upgrade wicket from 1.3 to 1.4.14 version. I have kept following jars in my application for 1.4.14:
wicket-1.4-m3.jar
wicket-1.4.14.jar
wicket-auth-roles-1.4.14.jar
wicket-datetime-1.4.14.jar
wicket-devutils-1.4.14.jar
wicket-extensions-1.4.14.jar
wicket-guice-1.4.14.jar
wicket-ioc-1.4.14.jar
wicket-jmx-1.4.14.jar
wicket-objectsizeof-agent-1.4.14.jar
wicket-velocity-1.4.14.jar
wicket-spring-1.4.14.jar


When I am tring to start my application, I am getting below errors:


2010-12-27 10:15:58,044 [[ACTIVE] ExecuteThread: '0' for queue: 'weblogic.kernel.Default (self-tuning)'] INFO  ui.com.dell.ren.wicket.application.RenResourceLoader    - Caching org.apache.wicket.resource.loader.ComponentStringResourceLoader@253b444
2010-12-27 10:15:58,044 [[ACTIVE] ExecuteThread: '0' for queue: 'weblogic.kernel.Default (self-tuning)'] INFO  ui.com.dell.ren.wicket.application.RenResourceLoader    - Caching org.apache.wicket.resource.loader.ClassStringResourceLoader@2546c39
<Dec 27, 2010 10:15:58 AM IST> <Error> <HTTP> <BEA-101165> <Could not load user defined filter in web.xml: com.dell.ren.wicket.application.RenWicketFilter.
<b>java.lang.NoSuchMethodError: org/apache/wicket/MetaDataKey.<init>()V
        at org.apache.wicket.devutils.debugbar.DebugBar$1.<init>(DebugBar.java:62)        at org.apache.wicket.devutils.debugbar.DebugBar.<clinit>(DebugBar.java:60)
        at org.apache.wicket.devutils.debugbar.DebugBarInitializer.init(DebugBarInitializer.java:35)
        at org.apache.wicket.Application.callInitializers(Application.java:788)
        at org.apache.wicket.Application.initializeComponents(Application.java:625)
        Truncated. see log file for complete stacktrace


Please suggest how this error can be resolved. This is very urgent.
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade from wicket 1.3 to wicket 1.4.14

yadavjpr
CONTENTS DELETED
The author has deleted this message.
Reply | Threaded
Open this post in threaded view
|

RE: Upgrade from wicket 1.3 to wicket 1.4.14

rajeev_yadav

Thanks for your suggestion. I have already made the changes as suggested in link. Weird thing is if I put devutils.jar in along with wicket.jar then only I am getting this error. When I remove devutils jar then application loads fine. Similarly I get error for wicket-spring.jar. When I remove this jar again app loads fine. I suspect, I need to do some configuration for these jars.

 

Thanks,

Rajeev

 

From: yadavjpr [via Apache Wicket] [mailto:[hidden email]]
Sent: Tuesday, December 28, 2010 11:17 AM
To: Yadav, Rajeev
Subject: Re: Upgrade from wicket 1.3 to wicket 1.4.14

 

Hi Rajeev,

Have you only coped jar files or followed the instruction according to Migrations notes ( https://cwiki.apache.org/WICKET/migrating-to-wicket-14.html )

I think this link may help you :
https://cwiki.apache.org/WICKET/migrating-to-wicket-14.html#MigratingtoWicket1.4-Registeringacustomstringresourceloader

Kailash Yadav

 


View message @ http://apache-wicket.1842946.n4.nabble.com/Upgrade-from-wicket-1-3-to-wicket-1-4-14-tp3164712p3165719.html
To unsubscribe from Upgrade from wicket 1.3 to wicket 1.4.14, click here.